# Sikoia Documentation > Documentation for Sikoia Append .md to any documentation page URL to get its markdown version. ## Guides - [Welcome](https://docs.sikoia.com/docs/welcome.md) - [Quickstart](https://docs.sikoia.com/docs/quickstart.md) - [Authentication](https://docs.sikoia.com/docs/authentication.md) - [API Behaviour](https://docs.sikoia.com/docs/api-behaviour.md) - [Webhooks](https://docs.sikoia.com/docs/webhooks.md) - [Data Sources](https://docs.sikoia.com/docs/data-sources-1.md) - [Banking Data](https://docs.sikoia.com/docs/banking-data-identifiers.md) - [Cases, Companies & People](https://docs.sikoia.com/docs/cases-1.md) - [Case Management](https://docs.sikoia.com/docs/case-management-1.md) - [Users, Roles & Permissions](https://docs.sikoia.com/docs/users-and-permissions.md) - [Overview](https://docs.sikoia.com/docs/copy-of-documents.md) - [Documents lifecycle](https://docs.sikoia.com/docs/documents-lifecycle.md) - [Classification](https://docs.sikoia.com/docs/classification.md) - [Integrity Checks](https://docs.sikoia.com/docs/copy-of-document-integrity-checks.md) - [Tampering Checks](https://docs.sikoia.com/docs/copy-of-document-tampering-checks.md) - [Standard extraction](https://docs.sikoia.com/docs/standard-extraction.md) - [Deep extraction](https://docs.sikoia.com/docs/deep-extraction.md) - [Bank Statements](https://docs.sikoia.com/docs/copy-of-supported-bank-statements.md) - [Payslips](https://docs.sikoia.com/docs/copy-of-supported-payslips.md) - [Tax Documents](https://docs.sikoia.com/docs/copy-of-supported-tax-documents.md) - [Overview](https://docs.sikoia.com/docs/overview.md) - [Identity Verification](https://docs.sikoia.com/docs/identity-verification-1.md) - [Open Banking](https://docs.sikoia.com/docs/open-banking-1.md) - [Overview](https://docs.sikoia.com/docs/copy-of-overview.md) - [Company Registry](https://docs.sikoia.com/docs/company-registry-information.md) - [Credit Report](https://docs.sikoia.com/docs/credit-report.md) - [Company](https://docs.sikoia.com/docs/company-credit-report-1.md) - [Consumer](https://docs.sikoia.com/docs/consumer.md) - [PEPs & Sanctions](https://docs.sikoia.com/docs/peps-sanctions-1.md) - [Adverse Media](https://docs.sikoia.com/docs/adverse-media-1.md) - [Overview](https://docs.sikoia.com/docs/copy-of-overview-1.md) - [Verify Income & Employer Details](https://docs.sikoia.com/docs/copy-of-verify-income-employer-details.md) - [Income Types, Pay & Deduction Categories](https://docs.sikoia.com/docs/copy-of-income-types-pay-deduction-categories.md) - [Overview](https://docs.sikoia.com/docs/copy-of-overview-2.md) - [Groups, Categories & Indicators](https://docs.sikoia.com/docs/copy-of-groups-categories-indicators.md) - [Generate Affordability Insights](https://docs.sikoia.com/docs/copy-of-generate-affordability-insights.md) - [Supported Banks and Account Types](https://docs.sikoia.com/docs/copy-of-supported-banks-and-account-types.md) - [Overview](https://docs.sikoia.com/docs/copy-of-overview-3.md) - [Run Completeness Check](https://docs.sikoia.com/docs/copy-of-run-completeness-check.md) - [How Completeness Checks work](https://docs.sikoia.com/docs/copy-of-how-completeness-checks-work.md) - [Example Completeness Check](https://docs.sikoia.com/docs/copy-of-example-completeness-check.md) - [Cash flow Insights ](https://docs.sikoia.com/docs/cash-flow-insights.md) - [Proof of Address](https://docs.sikoia.com/docs/proof-of-address.md) - [Excel report](https://docs.sikoia.com/docs/insights-report.md) - [Custom Policy Workflows](https://docs.sikoia.com/docs/custom-policy-workflows.md) ## API Reference - [API Reference Overview](https://docs.sikoia.com/reference/introduction-1.md) - [Staging & Production](https://docs.sikoia.com/reference/staging-production.md) - [Creates an access token](https://docs.sikoia.com/reference/post_token.md): ### To generate an access token, make a request to one of the following: - Production Environment: `https://oauth2.sikoia.com` - Staging Environment: `https://oauth2-staging.sikoia.com` ### Ensure that the following parameters are provided: - `client_id:` See our Guides section for more information on how to obtain your `client_id`. - `client_secret:` See our Guides section for more information on how to obtain your `client_secret`. - `grant_type:` Set this parameter to client_credentials. - `scope:` Set this parameter to: - * Production Environment: `https://api.sikoia.com/.default` - * Staging Environment: `https://api-staging.sikoia.com/.default` The endpoint will return the access token in JSON Web Token (JWT) format, along with metadata indicating its expiry and validity. - [List all users](https://docs.sikoia.com/reference/get_v2-users.md): ### Retrieves a list of all users. Returns a list of users affiliated with your organisation. Refer to our Guides section for additional information on users, user roles, and user permissions. - [Create a new webhook](https://docs.sikoia.com/reference/post_v2-webhooks.md): ### Creates a webhook for one or more events. A webhook is an HTTP request that keeps your system informed about changes in the Sikoia Platform in real-time. Refer to our Guides section for additional information on webhooks. You can retrieve a complete list of supported `event_types` by using the `GET/v2/webhooks/event-types` endpoint. - [List all webhooks](https://docs.sikoia.com/reference/get_v2-webhooks.md): ### Retrieves a list of all available webhooks. Returns a list of all webhooks affiliated with your organisation. This list includes the `webhook_id`, which can be used to update or delete the webhook using the `GET/v2/webhooks/{webhook_id}` and `DELETE/v2/webhooks/{webhook_id}` endpoints. - [Retrieve a webhook](https://docs.sikoia.com/reference/get_v2-webhooks-webhook_id.md): ### Retrieves a webhook. Returns information about a webhook, including the `webhook_callback_url` and a list of associated `event_types`. - [Update a webhook](https://docs.sikoia.com/reference/patch_v2-webhooks-webhook_id.md): ### Updates details for an existing webhook. While all fields are optional, the request must include at least one field. To clear a field, send an empty string as the field value. - [Delete a webhook](https://docs.sikoia.com/reference/delete_v2-webhooks-webhook_id.md): ### Deletes a single webhook. Please note that this action cannot be undone. - [List all event types](https://docs.sikoia.com/reference/get_v2-webhooks-event-types.md): ### Retrieves a list of all available webhook event_types. The list includes the name of all events that a webhook can subscribe to. Refer to our Guides section for additional information on webhooks. - [List all webhook requests](https://docs.sikoia.com/reference/get_v2-webhooks-webhook_id-requests.md): Returns a paginated list of all requests with the most recent request provided first. - [Get a shared secret](https://docs.sikoia.com/reference/get_v2-webhooks-secrets.md): ### Retrieves a single secret key used to sign all webhook requests. This secret will be used to create a HMACSHA256 hash of every webhook request sent. The result will be Base64 encoded and sent under the `X-HMAC-SHA256-Signature` header in the request. - [Create a shared secret](https://docs.sikoia.com/reference/post_v2-webhooks-secrets.md): ### Creates a new secret key to be used to sign all webhook requests. All subsequent wehook requests sent will include a HMACSHA256 hash that has been Base64 encoded in the `X-HMAC-SHA256-Signature` header. Comparing this hashed value against a SHA256 hash of the request body (using the secret as a key) enables you to verify the payload has not been tampered with. - [Delete a shared secret](https://docs.sikoia.com/reference/delete_v2-webhooks-secrets.md): ### Deletes a secret key used to sign webhook requests. Please note that this action cannot be undone. Webhooks will continue to be sent without a secret - they will just not include the `X-HMAC-SHA256-Signature` header for verification purposes. - [Change a shared secret](https://docs.sikoia.com/reference/patch_v2-webhooks-secrets-rotate.md): ### Changes the shared secret to a new secure value. Generates a new secret used to create the `X-HMAC-SHA256-Signature` header on all webhook requests. This new secret will be implemented on all requests sent after the date_updated timestamp included in the response. - [List all cases](https://docs.sikoia.com/reference/get_v2-cases.md): ### Returns a list of all cases. This list can be filtered using query parameters such as `case_type`, `stage`, `source`, `owner`, `owner_id` and `keyword`. The `keyword` query parameter searches for matching strings within the Case's `name`, `reference` and `description` fields. Support for multiple filters is available by separating them with a comma. For instance, to retrieve all approved and rejected cases, use the `stage` query parameter with the value `Approved,Rejected`. - [Create a case](https://docs.sikoia.com/reference/post_v2-cases.md): ### Creates a new case You have the option to add companies and people at the point of case creation or at a later stage. When adding companies at the point of case creation, you can retrieve company registration data by setting `registry_search` to `true`, and ensuring that `company_name`, `company_number`, and `jurisdiction_code` are not empty. If the company registration data cannot be found, the case is created with the provided company details. If the company registration data is found, the `status`, `number_of_officers`, and `number_of_owners` are updated to reflect the registry data. Additionally, you can choose to add all the company's (human) officers to the case by setting `add_directors` to `true`. Note that this flag is applicable only when `registry_search` is set to `true`. - [Retrieve a case](https://docs.sikoia.com/reference/get_v2-cases-case_id.md): ### Retrieve a single case. Returns information about a case, including lists of the individual companies and people within it as well as their associated `company_id` or `person_id`. - [Update a case](https://docs.sikoia.com/reference/patch_v2-cases-case_id.md): ### Updates details for an existing case. While all fields are optional, the request must include at least one field. To clear a field, send an empty string as the field value. - [Delete a case](https://docs.sikoia.com/reference/delete_v2-cases-case_id.md): ### Deletes a single case. This also deletes all of the associated companies, people and documents within the case. Please note that this action cannot be undone. - [Add entities to a case](https://docs.sikoia.com/reference/post_v2-cases-case_id-entities.md): ### Adds companies and / or people to an existing case. This endpoint behaves the same as the Create Case endpoint when adding companies and / or people. When adding companies, you can retrieve company registration data by setting `registry_search` to `true`, and ensuring that `company_name`, `company_number`, and `jurisdiction_code` are not empty. If the data cannot be found, the case is created with the provided company details. If the company registration data is found, the `status`, `number_of_officers`, and `number_of_owners` are updated to reflect the registry data. Additionally, you can choose to add all the company's (human) officers to the case by setting `add_directors` to `true`. Note that this flag is applicable only when `registry_search` is set to `true`. - [Update entities in a case](https://docs.sikoia.com/reference/patch_v2-cases-case_id-entities.md): ### Updates existing companies and / or people in a case. All fields are optional, except for `company_id` or `person_id`; however, the request must include at least one field. To clear a field, simply send an empty string as the field value. - [Delete entities in a case](https://docs.sikoia.com/reference/post_v2-cases-case_id-entities-delete.md): ### Deletes companies and / or people from a case. Accepts a list of person and / or company IDs to delete from the case. Please note that this action cannot be undone. - [Request registry data](https://docs.sikoia.com/reference/post_v2-company-registry-data.md): ### Requests registry data for a company. You can create a request with only the `company_id`, and the necessary data will be retrieved from the company entity. If the company entity is missing `company_number` or `country_code`, a 422 - Unprocessable error will be raised. Alternatively, you can override the company entity details by sending `company_number`, `company_name`, and `country_code` alongside the `company_id` in the request body. If it is not possible to identify a single company in the relevant registry based on the data provided, the response will have a status of `TooManyResults`. You can resolve this picklist using the `POST /v2/company-registry-data/picklist endpoint`. - [List all registry data requests](https://docs.sikoia.com/reference/get_v2-companies-company_id-registry-data.md): ### Returns a list of all registry data requests for a company. The list includes the `request_id` for each request, which can be used to retrieve detailed registry data using the `GET /v2/company-registry-data/{request_id}` endpoint. - [Retrieve registry data](https://docs.sikoia.com/reference/get_v2-company-registry-data-request_id.md): ### Returns detailed company registry data This endpoint returns the full registry data associated with a specific request_id. - [Resolve registry picklist](https://docs.sikoia.com/reference/post_v2-company-registry-data-picklist.md): ### Resolves a company registry data picklist. To resolve a picklist, send the original `request_id` and the `picklist_index` to this endpoint. This will create a new entry in the list of registry data requests for the company entity. You can retrieve a list of all registry data requests for a company using the `GET /v2/companies/{company_id}/registry-data` endpoint. - [Search for a company](https://docs.sikoia.com/reference/post_v2-company-registry-data-search.md): ### Searches for a company in business registries. Search using the `company_name` and at least one of `jurisdiction_code` or `country_code`. If both codes are specified, jurisdiction_code takes priority. You can exclude inactive companies from results by setting `exclude_inactive` to `true`. If your search is associated with a specific company entity instead of a standalone search, include the `company_id` in the request. Keep in mind that even when using a `company_id`, the search data is transient and won't be stored against the company. - [Request credit report](https://docs.sikoia.com/reference/post_v2-company-credit-reports.md): ### Requests a credit report for a company. You can create a request with only the `company_id`, and the necessary data will be retrieved from the company entity. A 422 - Unprocessable Error will be raised if the company entity is missing `company_number` or `country_code`. Alternatively, you can override the company entity details by sending `company_number`, `company_name`, and `country_code` alongside the `company_id` in the request body. The credit report returned will be associated with the `company_id` on the request. As a third option, you can send a 3rd party data provider `provider_id` for a specific company within their system. The credit report returned will be associated with the `company_id` on the request. If resolving the credit report to a single company is not possible, the response will have a status of `TooManyResults`. You can resolve this picklist using the `POST /v2/company-credit-reports/picklist` endpoint. - [List all credit report requests](https://docs.sikoia.com/reference/get_v2-companies-company_id-credit-reports.md): ### Returns a list of all credit reports requested for a company. The list includes the `request_id` for each request, which can be used to retrieve detailed company credit report data using the `GET /v2/company-credit-reports/{request_id}` endpoint. - [Retrieve credit report](https://docs.sikoia.com/reference/get_v2-company-credit-reports-request_id.md): ### Returns a company credit report. This endpoint returns the full company credit report associated with a specific `request_id`. - [Resolve credit report picklist](https://docs.sikoia.com/reference/post_v2-company-credit-reports-picklist.md): ### Resolves a company credit report picklist. To resolve a picklist, send the original `request_id` and the `picklist_index` to this endpoint. This will create a new entry in the list of Credit Report requests for the company entity. You can retrieve a list of all credit report requests for a company using the `GET /v2/companies/{company_id}/credit-reports` endpoint. - [Create Open Banking connection](https://docs.sikoia.com/reference/post_v2-openbanking.md): ### Creates a new Open Banking connection request. This generates a URL that takes your end customer through a consent flow to connect their accounts. The `country_code` is optional. If it is included then your end customer will only be able to select a bank institution from that country. - [Retrieve Open Banking connection status](https://docs.sikoia.com/reference/get_v2-openbanking-bank_connection_id.md): ### Returns an Open Banking connection status. This endpoint returns the status of the Open Banking connection, revealing the state of the end customer consent flow. It will also return a list of connected accounts once the connection has been successfully established. - [Delete an Open Banking connection](https://docs.sikoia.com/reference/delete_v2-openbanking-bank_connection_id.md): ### Deletes an existing Open Banking connection This also deletes all of the associated account, balance, and transaction data for the Open Banking connection. Please note that this action cannot be undone. - [List all Open Banking connections](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-openbanking.md): ### Returns a list of all open banking connections requested for an entity. This list includes `bank_connection_id` and associated `account_connection_id`, which can be used to retrieve more detailed account data. Include the query parameter completed with a value of `true` if you only want to retrieve completed connections. - [Retrieve account details](https://docs.sikoia.com/reference/get_v2-bankaccounts-account_connection_id.md): ### Returns detailed account data. Fetches the account details for a specific `account_connection_id` covering accounts connected through open banking or those for which bank statements have been uploaded. - [List all accounts](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-bankaccounts.md): ### Returns a list of all bank accounts for an entity. Provides a comprehensive list of all bank accounts associated with an entity. This includes accounts connected through open banking or for which bank statements have been uploaded. This list includes the account_connection_id for each account, which can be used to retrieve more detailed data from the following endpoints: *`GET /v2/bankaccounts/{account_connection_id}` *`GET /v2/bankaccounts/{account_connection_id}/balances` *`GET /v2/bankaccounts/{account_connection_id}/transactions` - [Retrieve account balances](https://docs.sikoia.com/reference/get_v2-bankaccounts-account_connection_id-balances.md): ### Returns bank account balances. Fetches the account balance details for a specific `account_connection_id` covering accounts connected through open banking or those for which bank statements have been uploaded. - [Retrieve account transactions](https://docs.sikoia.com/reference/get_v2-bankaccounts-account_connection_id-transactions.md): ### Returns detailed bank account transaction data. Fetches a list off all available transactions for a specific `account_connection_id` covering accounts connected through open banking or those for which bank statements have been uploaded. - [Refresh an account](https://docs.sikoia.com/reference/post_v2-bankaccounts-account_connection_id-refresh.md): ### Initiates a refresh of account data. Triggers an asynchronous refresh of the account details, balances and transactions for a specific Open Banking `account_connection_id`. - [Request PEPs & Sanctions search](https://docs.sikoia.com/reference/post_v2-peps-sanctions.md): ### Requests a PEPs & Sanctions search for an entity. Check if the entity is listed in any Politically Exposed Persons (PEPs) or Sanctions lists. * If the `entity_type` is case, a `search_term` must be included. * If the `entity_type` is person or company, the search term is taken from the name on the entity. If the `search_term` is included, the entity data is overridden. * If `entity_type` is person, providing a `birth_date` enhances search accuracy. * Adjust the `fuzziness` level (ranging from 0-1) to control spelling variations. Lower levels yield fewer variations, while higher levels increase flexibility. This endpoint returns the number of matches the entity has. For detailed match information, refer to the Sikoia Dashboard. - [List all PEPs & Sanctions searches](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-peps-sanctions.md): ### Returns a list of all PEPs & Sanctions searches for an entity. The response returns the number of matches returned in each search. For detailed match information, refer to the Sikoia Dashboard. - [Request Adverse Media search](https://docs.sikoia.com/reference/post_v2-adverse-media.md): ### Requests an Adverse Media search for an entity. Check if the entity has any potential Adverse Media results. * If the `entity_type` is case, a search_term must be included. * If the `entity_type` is person or company, the search term is taken from the name on the entity. If the `search_term` is included, the entity data is overridden. * If `entity_type` is person, providing a `birth_date` enhances search accuracy. * Adjust the `fuzziness` level (ranging from 0-1) to control spelling variations. Lower levels yield fewer variations, while higher levels increase flexibility. This endpoint returns the number of matches the entity has. For detailed match information, refer to the Sikoia Dashboard. - [List all Adverse Media searches](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-adverse-media.md): ### Returns a list of all Adverse Media searches for an entity. The response returns the number of matches returned in each search. For detailed match information, refer to the Sikoia Dashboard. - [Upload a document to an entity](https://docs.sikoia.com/reference/post_v2-documents.md): ### Uploads a document to a `case`, `person`, or `company`. The document must be base64 encoded and included as a string in the file field. Ensure that the `file_name` field includes the file extension. - [Retrieve a document](https://docs.sikoia.com/reference/get_v2-documents-document_id.md): ### Returns a document. The document is returned as a short lived URI. - [Delete a document](https://docs.sikoia.com/reference/delete_v2-documents-document_id.md): ### Deletes a document. Please note that this action cannot be undone. - [List all documents for an entity](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-documents.md): ### Returns a list of documents for an entity. The list includes the `document_id` for each document, which can be used to retrieve or delete the file using the following endpoints: *`GET /v2/documents/{document_id}` *`DELETE /v2/documents/{document_id}` - [List all integrity checklist requests](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-integrity-checks.md): ### List all integrity checklist requests. Returns a list of all integrity checklists requested for an entity. The list includes the document_id for each request, which can be used to retrieve the integrity check rules result using the GET `/v2/documents/{document_id}/integrity-checks` endpoint. - [Retrieve integrity checklist result](https://docs.sikoia.com/reference/get_v2-documents-document_id-integrity-checks.md): ### Returns an instance of a integrity checklist. This endpoint returns the integrity check results associated with a specific `document_id`. - [Request IDV](https://docs.sikoia.com/reference/post_v2-identity.md): ### Requests an identity verification for a person. Provide the `person_id`, and optionally specify the `country_code` if you already know the country of issue for the document to be provided. This returns Sikoia's `verification_url` and an IDV provider's `direct_url` (if the country is specified in the request). Both URLs can be used to commence the identity verification process. - [List all IDV requests](https://docs.sikoia.com/reference/get_v2-persons-person_id-identity-verifications.md): ### Returns a list of all identity verification requests for a person. This endpoint provides a list of all identity verification requests created for a specific `person_id`. The list includes the `request_id` for each request, which can be used to retrieve the identity verification result using the `GET /v2/identity/{request_id}` endpoint. - [Retrieve IDV result](https://docs.sikoia.com/reference/get_v2-identity-request_id.md): ### Retrieve IDV status and result. This endpoint provides the result of a specific IDV request identified by `request_id` in a structured format. The information includes details on the verification status, the verified person, and the provided document. - [Request online data](https://docs.sikoia.com/reference/post_v2-company-online-data.md): ### Requests online data for a company. Provide the `company_id` and optionally specify the `company_name`. If the company_name is specified, it will override the company entity name. - [List all online data requests](https://docs.sikoia.com/reference/get_v2-companies-company_id-online-data.md): ### Returns a list of all online data requests for a company. The list includes the `request_id` for each request, which can be used to retrieve detailed registry data using the `GET /v2/company-online-data/{request_id}` endpoint. - [Retrieve online data](https://docs.sikoia.com/reference/get_v2-company-online-data-request_id.md): ### Returns online data for a company. This endpoint returns the company online data associated with a specific `request_id`. - [Request affordability insight](https://docs.sikoia.com/reference/post_v2-affordability-insights.md): ### Request an affordability insights for a `case`, `person`, or `company` entity. Before making the request, ensure that at least one data source with a status of `Complete` is associated with the entity. A successful response will include a `request_id` that can be used to check the status of the request. - [List all affordability insight requests](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-affordability-insights.md): ### Returns a list of all affordability insights requested for an entity. The list includes the `request_id` for each request, which can be used to retrieve the affordability insight using the `GET /v2/affordability-insights/{request_id}` endpoint. - [Retrieve affordability insight](https://docs.sikoia.com/reference/get_v2-affordability-insights-request_id.md): ### Returns an affordability insight. This endpoint returns the affordability insight associated with a specific `request_id`. - [Retrieve a monthly summary of transaction data](https://docs.sikoia.com/reference/get_v2-affordability-insights-request_id-transactions.md): ### Returns aggregated transaction data per month for an affordability insight. This endpoint returns a monthly summary of all the transactions used to generate a specific affordability insight identified by a unique `request_id`. - [Retrieve a full breakdown of all transaction data](https://docs.sikoia.com/reference/get_v2-affordability-insights-request_id-transaction-details.md): ### Returns all transactions for an affordability insight. This endpoint returns all the transactions used to generate a specific affordability insight identified by a unique `request_id`. - [Request income & employer verification](https://docs.sikoia.com/reference/post_v2-income-employer.md): ### Requests an income and employer verification for a case, person, or company This endpoint automatically verifies an entity’s income from various sources including documents and open banking connections. To proceed, ensure that both `entity_id` and `entity_type` are valid and ensure that at least one income-related document or open banking connection has been attached to the entity. A successful response will include a `request_id` that can be used to check the status of the request. - [List all income & employer verifications](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-incomeemployer.md): ### This returns a list of all the income employer requests for the specified entity. Returns a list of all income & employer verifications requested for an entity. The list includes the `request_id` for each request, which can be used to retrieve the income and employer verification using the GET `/v2/income-employer/{request_id}` endpoint. - [Retrieve income & employer verification](https://docs.sikoia.com/reference/get_v2-income-employer-request_id.md): ### Returns an income & employer verification. This endpoint returns the income & employer verification associated with a specific `request_id`. - [Retrieve detailed payslip, bank statement, tax documents and/or open banking connection data](https://docs.sikoia.com/reference/get_v2-income-employer-request_id-additional-details.md): ### Returns detailed data from individual payslips, bank statements, tax documents and/or open banking connections behind an income & employer verification. This endpoint returns data from all the individual payslips, bank statements, tax documents and/or open banking connections used to generate a specific income & employer verification identified by a unique `request_id`. By default, payslips excluded by income rules are not returned. Set the `include_excluded_sources` query parameter to `true` to include excluded payslips in the response. - [List data sources for an entity](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-insight-data-sources.md): ### Returns a list of all data sources for an entity. Provides a list of all data sources attached to an entity which might be used to generate Sikoia Insights and their status. Possible statuses include: Provided, Pending, Complete, Failed. Only data sources with a status of 'Complete' will be used to generate Affordability Insights or Income & Employer Verifications. - [List all validation checklists](https://docs.sikoia.com/reference/get_v2-validation-checks-validation-types.md): ### Returns a list of all validation checklists available. This list includes all available checklists along with their `validation_type_id`, `validation_check_name`, `validation_description` and `entity_type`. - [Run a validation checklist](https://docs.sikoia.com/reference/post_v2-validation-checks.md): ### Runs a validation checklist against a specific case, person, company, or data source. This endpoint automatically checks whether an entity passes all the rules in a specific validation checklist. To proceed, ensure that `validation_type_id`, `entity_id` and `entity_type` are valid. To run the checklist against a specific data source use the `check_params` filter and provide the `source_id` and `source_id_type` of the data source you want to use. A successful response will include a `validation_instance_id` that can be used to check the status of the request. - [List all validation checklist requests](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-validation-checks.md): ### List all validation checklist requests. Returns a list of all validation checklists requested for an entity. The list includes the validation_instance_id for each request, which can be used to retrieve the validation check rules result using the GET `/v2/validation-checks/{validation_instance_id}` endpoint. - [Retrieve validation checklist result](https://docs.sikoia.com/reference/get_v2-validation-checks-validation_instance_id.md): ### Returns an instance of a validation checklist. This endpoint returns the validation check results associated with a specific `validation_instance_id`. - [Retrieve excel report](https://docs.sikoia.com/reference/get_v2-entity_type-entity_id-excel-report.md): ### Generates an Excel report with a summary of key data for the specified entity. This endpoint returns a report containing data on income and employment verification, affordability insights, validation checklists, and integrity checks. The only validation checklists that are included in the report, if you have requested them, are: - `Last 3 months of payslips` - `Last 3 months of bank transactions` - [Run a completeness and income insights check](https://docs.sikoia.com/reference/post_v2-completeness-income-checks.md): ### Check Completness and Income. This endpoint executes a two-stage workflow: it first validates the entity against all completeness rules, then automatically initiates income verification upon success. A successful response returns the combined data from both processes. ## Recipes - [Access Company Credit Report](https://docs.sikoia.com/recipes/access-company-credit-report.md) - [Access Company Registry Data](https://docs.sikoia.com/recipes/access-company-registry-data.md) - [Check if a Company or Person has Adverse Media Matches](https://docs.sikoia.com/recipes/check-if-a-company-or-person-has-adverse-media-matches.md) - [Check if a Company or Person has PEPs or Sanctions Matches](https://docs.sikoia.com/recipes/check-if-a-company-or-person-has-peps-or-sanctions-matches.md) - [Generate Affordability Insights](https://docs.sikoia.com/recipes/generate-affordability-insights.md) - [Handle Company Credit Report Picklists](https://docs.sikoia.com/recipes/handle-company-credit-report-picklists.md) - [Handle Company Registry Picklists](https://docs.sikoia.com/recipes/handle-company-registry-picklists.md) - [Identity Document Verifications](https://docs.sikoia.com/recipes/identity-document-verifications.md) - [Manage Documents](https://docs.sikoia.com/recipes/manage-documents.md) - [Retrieve Banking Data](https://docs.sikoia.com/recipes/retrieve-banking-data.md) - [Run a Validation Checklist](https://docs.sikoia.com/recipes/run-a-validation-checklist.md) - [Set-Up an Open Banking Connection](https://docs.sikoia.com/recipes/set-up-an-open-banking-connection.md) - [Verify Income & Employer](https://docs.sikoia.com/recipes/verify-income-employer.md) ## Changelog - [Release 72](https://docs.sikoia.com/changelog/release-72.md) - [Release 71](https://docs.sikoia.com/changelog/release-71.md) - [Release 70](https://docs.sikoia.com/changelog/release-70.md) - [Release 69](https://docs.sikoia.com/changelog/release-69.md) - [Release 68](https://docs.sikoia.com/changelog/release-68.md) - [Release 67](https://docs.sikoia.com/changelog/release-67.md) - [Release 66](https://docs.sikoia.com/changelog/release-66.md) - [Release 65](https://docs.sikoia.com/changelog/release-65.md) - [Release 64](https://docs.sikoia.com/changelog/release-64.md) - [Release 63](https://docs.sikoia.com/changelog/release-63.md)